package contrasts;
import java.util.Comparator;
import java.util.Map;

/**
 * This is a Comparator class for a {@code Map<String,Double>}
 * 
 * @author <a href="mailto:max.schubach@informatik.uni-tuebingen.de">Max
 *         Schubach</a>
 * 
 * @version 1.0
 * 
 */
public class ValueComparator implements Comparator<Object> {

	Map<String, Double> base;
	
	
	/**
	 * Standard constructor
	 * 
	 * @param base map of {@code Map<String,Double>}
	 */
	public ValueComparator(Map<String, Double> base) {
	      this.base = base;
	  }

	public int compare(Object a, Object b) {

		if (this.base.get(a) < this.base.get(b)) {
			return 1;
		} else if (this.base.get(a) == this.base.get(b)) {
			return 0;
		} else {
			return -1;
		}
	}

	
}
